Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(35)

Issue 2715213009: Re-enable FocusBeforeNavigation test. (Closed)

Created:
2 years, 6 months ago by avallee
Modified:
2 years, 4 months ago
Reviewers:
wjmaclean, alexmos
CC:
lfg, chromium-reviews, jam, nasko+codewatch_chromium.org, darin-cc_chromium.org, creis+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Re-enable FocusBeforeNavigation test. + Correctly focus the inner WebContents when the attachment frame is focused. + Enable Enable WebViewFocusInteractiveTest.Focus_FocusBeforeNavigation. + Prevent BrowserPluginGuest from unfocusing the guest in oopif mode. BUG=672947 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_site_isolation Review-Url: https://codereview.chromium.org/2715213009 Cr-Commit-Position: refs/heads/master@{#467296} Committed: https://chromium.googlesource.com/chromium/src/+/7529b2aa9b7de2c64e424082b2ee09cad44e27c4

Patch Set 1 #

Total comments: 7

Patch Set 2 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+15 lines, -9 lines) Patch
M chrome/browser/apps/guest_view/web_view_interactive_browsertest.cc View 1 1 chunk +0 lines, -4 lines 0 comments Download
M content/browser/browser_plugin/browser_plugin_guest.cc View 1 1 chunk +3 lines, -0 lines 0 comments Download
M content/browser/web_contents/web_contents_impl.cc View 1 3 chunks +12 lines, -5 lines 0 comments Download

Messages

Total messages: 21 (13 generated)
avallee
2 years, 6 months ago (2017-02-28 23:38:38 UTC) #6
alexmos
Looks good, just one question about the early return in RenderViewReady. https://codereview.chromium.org/2715213009/diff/1/content/browser/browser_plugin/browser_plugin_guest.cc File content/browser/browser_plugin/browser_plugin_guest.cc (right): ...
2 years, 6 months ago (2017-03-04 01:12:16 UTC) #7
wjmaclean
lgtm for test, BrowserPluginGuest https://codereview.chromium.org/2715213009/diff/1/content/browser/browser_plugin/browser_plugin_guest.cc File content/browser/browser_plugin/browser_plugin_guest.cc (right): https://codereview.chromium.org/2715213009/diff/1/content/browser/browser_plugin/browser_plugin_guest.cc#newcode662 content/browser/browser_plugin/browser_plugin_guest.cc:662: if (GuestMode::IsCrossProcessFrameGuest(GetWebContents())) On 2017/03/04 01:12:16, ...
2 years, 6 months ago (2017-03-14 16:13:37 UTC) #8
alexmos
https://codereview.chromium.org/2715213009/diff/1/content/browser/browser_plugin/browser_plugin_guest.cc File content/browser/browser_plugin/browser_plugin_guest.cc (right): https://codereview.chromium.org/2715213009/diff/1/content/browser/browser_plugin/browser_plugin_guest.cc#newcode662 content/browser/browser_plugin/browser_plugin_guest.cc:662: if (GuestMode::IsCrossProcessFrameGuest(GetWebContents())) On 2017/03/14 16:13:37, wjmaclean (ooo Mar 15-26) ...
2 years, 6 months ago (2017-03-15 00:16:07 UTC) #9
avallee
https://codereview.chromium.org/2715213009/diff/1/content/browser/browser_plugin/browser_plugin_guest.cc File content/browser/browser_plugin/browser_plugin_guest.cc (right): https://codereview.chromium.org/2715213009/diff/1/content/browser/browser_plugin/browser_plugin_guest.cc#newcode662 content/browser/browser_plugin/browser_plugin_guest.cc:662: if (GuestMode::IsCrossProcessFrameGuest(GetWebContents())) On 2017/03/15 00:16:07, alexmos wrote: > On ...
2 years, 6 months ago (2017-03-15 02:55:20 UTC) #10
alexmos
LGTM https://codereview.chromium.org/2715213009/diff/1/content/browser/browser_plugin/browser_plugin_guest.cc File content/browser/browser_plugin/browser_plugin_guest.cc (right): https://codereview.chromium.org/2715213009/diff/1/content/browser/browser_plugin/browser_plugin_guest.cc#newcode662 content/browser/browser_plugin/browser_plugin_guest.cc:662: if (GuestMode::IsCrossProcessFrameGuest(GetWebContents())) On 2017/03/15 02:55:20, avallee wrote: > ...
2 years, 6 months ago (2017-03-15 04:25:03 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2715213009/20001
2 years, 4 months ago (2017-04-26 11:33:27 UTC) #18
commit-bot: I haz the power
2 years, 4 months ago (2017-04-26 11:38:03 UTC) #21
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/7529b2aa9b7de2c64e424082b2ee...

Powered by Google App Engine
This is Rietveld 408576698